type Account {
  id: ID!
  name: String!
  balance: Float!
  created_at: DateTime!
  updated_at: DateTime!
  user: User! @belongsTo
  transactions: [Transaction!] @hasMany
}

input CreateAccountInput {
  name: String!
  balance: Float! @rules(apply:["gte:0"])
}

input UpdateAccountInput {
  name: String!
}
